---
layout: mockup
title: "Permissions"
theme: Adwaita/Adwaita.css
permalink: settings/privacy/permissions
wallpaper: adwaita
category: "Privacy"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="pane">
			<a href="{{ site.baseurl }}/settings/" class="button image-button float-left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<span class="title">{{ page.title }}</span>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsPrivacySidebar" class="sidebar">
		{%- for item in site.data.settings-privacy-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<div class="row" id="locationServicesSettings">
				<p>Application permissions are a way to limit applications' access to sensitive information, hardware resources and internet traffic.</p>
				<p>By default, granted permissions are remembered but for increased privacy and security you can configure to ask every time.</p>
				<ul class="listrow scrollbox">
					<li id="privacyApplicationsPermissionsPopover">
						<label>Application Permissions</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="privacyApplicationsPermissionsStatus">Remember</label>
					</li>
				</ul>
				<p>Individual application's permissions can be edited or revoked in the <a href="#">Applications Settings</a>.</p>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsPrivacySidebar a:nth-of-type(1) li').addClass("active");});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="privacyApplicationsPermissions($(this).text());">Remember</li>',
			'<li onclick="privacyApplicationsPermissions($(this).text());">Always Ask</li>',
		'</ul>'].join('');

	$("#privacyApplicationsPermissionsPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function privacyApplicationsPermissions() {
	$('#privacyApplicationsPermissionsStatus').text(arguments[0]);
	$("#privacyApplicationsPermissionsPopover").popover("hide");
}

</script>